## linux-nvidia-tegra-modules-signed 6.8.0-1001.1

=== debian/changelog ===
linux-nvidia-tegra-modules-signed (6.8.0-1001.1) noble; urgency=medium

  * Main version: 6.8.0-1001.1

  * noble/linux-nvidia-tegra: 6.8.0-1001.1 -proposed tracker (LP: #2080553)
    - [Packaging] Use jetson-devel branch

 -- Noah Wager <noah.wager@canonical.com>  Sun, 22 Sep 2024 00:13:09 -0700

linux-nvidia-tegra-modules-signed (6.8.0-1000.0) noble; urgency=medium

  * Empty entry

 -- Noah Wager <noah.wager@canonical.com>  Wed, 04 Sep 2024 23:09:17 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1016.16) jammy; urgency=medium

  * Main version: 5.15.0-1016.16

 -- Noah Wager <noah.wager@canonical.com>  Thu, 22 Aug 2024 14:41:45 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1015.15) jammy; urgency=medium

  * Main version: 5.15.0-1015.15

 -- Noah Wager <noah.wager@canonical.com>  Thu, 01 Aug 2024 10:28:26 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1014.14+2) jammy; urgency=medium

  * Main version: 5.15.0-1014.14+2

 -- Noah Wager <noah.wager@canonical.com>  Wed, 24 Jul 2024 12:34:20 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1014.14+1) jammy; urgency=medium

  * jammy/linux-nvidia-tegra-igx: 5.15.0-1014.14 -proposed tracker
    (LP: #2072802)
    - [Packaging] Add tegra-oot r36.4.1 branch

 -- Noah Wager <noah.wager@canonical.com>  Fri, 19 Jul 2024 08:59:12 -0700

linux-nvidia-tegra-igx-modules-signed (5.15.0-1014.14) jammy; urgency=medium

  * Main version: 5.15.0-1014.14

  * jammy/linux-nvidia-tegra-igx: 5.15.0-1014.14 -proposed tracker
    (LP: #2072802)
    - [Packaging] Add tegra-mofed-23.10 packages
    - [Packaging] Add tegra-oot lws branch

 -- Noah Wager <noah.wager@canonical.com>  Sat, 13 Jul 2024 15:53:43 -0400

linux-nvidia-tegra-igx-modules-signed (5.15.0-1013.13) jammy; urgency=medium

  * Main version: 5.15.0-1013.13

  * Packaging resync (LP: #1786013)
    - [Packaging] remove update-version script

  * Add OOTM branching to fix GPU driver version mismatch (LP: #2072413)
    - [Packaging] Remove deprecated ABI-named packages
    - [Packaging] Remove conflicts from transitional r36.3 metas
    - [Packaging] Only conflict linux metas in the same flavour
    - [Packaging] Conflict branches through virtual package
    - [Packaging] Generate branches in debian/rules instead of script
    - [Packaging] Add iGPU metapackage
    - [Packaging] Remove lws branch

  * jammy/linux-nvidia-tegra-igx: 5.15.0-1013.13 -proposed tracker
    (LP: #2072515)
    - [Packaging] Add missing separator to igpu meta Depends

 -- Noah Wager <noah.wager@canonical.com>  Fri, 12 Jul 2024 21:01:09 -0400

linux-nvidia-tegra-igx-modules-signed (5.15.0-1012.12+2) jammy; urgency=medium

  * Master version: 5.15.0-1012.12+2

 -- Noah Wager <noah.wager@canonical.com>  Fri, 05 Jul 2024 19:54:53 +0000

linux-nvidia-tegra-igx-modules-signed (5.15.0-1012.12+1) jammy; urgency=medium

  * Master version: 5.15.0-1012.12+1

 -- Jacob Martin <jacob.martin@canonical.com>  Wed, 08 May 2024 09:34:44 -0500

linux-nvidia-tegra-igx-modules-signed (5.15.0-1012.12) jammy; urgency=medium

  * Master version: 5.15.0-1012.12

 -- Jacob Martin <jacob.martin@canonical.com>  Wed, 24 Apr 2024 10:31:47 -0500

linux-nvidia-tegra-igx-modules-signed (5.15.0-1011.11) jammy; urgency=medium

  * Master version: 5.15.0-1011.11

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 16 Apr 2024 11:28:21 -0500

linux-nvidia-tegra-igx-modules-signed (5.15.0-1010.10) jammy; urgency=medium

  * Master version: 5.15.0-1010.10

  * Add initial r36.3 out-of-tree module meta packages (LP: #2060071)
    - [Packaging] Add Rel-36.3 branch meta packaging

  * Include networking drivers used on Tegra platforms in initrd.img
    (LP: #2059958)
    - [Packaging] Include Tegra networking drivers in initrd

  * Produce kernel snaps for linux-nvidia-tegra-igx (LP: #2059968)
    - [Packaging] Add modules conf for ubuntu-core-initramfs

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 02 Apr 2024 18:52:36 -0500

linux-nvidia-tegra-igx-modules-signed (5.15.0-1009.9) jammy; urgency=medium

  * Master version: 5.15.0-1009.9

  * Add headers package for IGX out-of-tree modules (LP: #2054483)
    - [Packaging] Recommend header packages

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 20 Feb 2024 17:22:20 -0600

linux-nvidia-tegra-igx-modules-signed (5.15.0-1008.8) jammy; urgency=medium

  * Master version: 5.15.0-1008.8

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 19 Jan 2024 12:29:47 -0600

linux-nvidia-tegra-igx-modules-signed (5.15.0-1000.0) jammy; urgency=medium

  * Initialize linux-nvidia-tegra-igx-modules-signed.

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 05 May 2023 10:46:30 +0200

linux-bluefield-modules-signed (5.15.0-1015.17+3) jammy; urgency=medium

  * No change rebuild to pick up updated MOFED drivers.

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Mon, 01 May 2023 11:04:49 +0200

linux-bluefield-modules-signed (5.15.0-1015.17+2) jammy; urgency=medium

  * No change rebuild to pick up updated MOFED drivers.

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Thu, 27 Apr 2023 17:09:23 +0200

linux-bluefield-modules-signed (5.15.0-1015.17+1) jammy; urgency=medium

  * No change rebuild to pick up updated MOFED drivers.

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Wed, 26 Apr 2023 15:25:42 +0200

linux-bluefield-modules-signed (5.15.0-1015.17) jammy; urgency=medium

  * Master version: 5.15.0-1015.17

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Thu, 06 Apr 2023 17:17:41 +0200

linux-bluefield-modules-signed (5.15.0-1014.16+1) jammy; urgency=medium

  * No change rebuild to pick up updated MOFED drivers.

 -- Bartlomiej Zolnierkiewicz <bartlomiej.zolnierkiewicz@canonical.com>  Mon, 20 Mar 2023 18:17:05 +0100

linux-bluefield-modules-signed (5.15.0-1014.16) jammy; urgency=medium

  * Master version: 5.15.0-1014.16


