## linux-nvidia-tegra-modules-signed 6.8.0-1003.3+1

=== debian/changelog ===
linux-nvidia-tegra-modules-signed (6.8.0-1003.3+1) noble; urgency=medium

  * Main version: 6.8.0-1003.3

  * Extras version: 6.8.0-1003.3+1

  * Miscellaneous tegra kernel packaging changes (LP: #2097735)
    - [Packaging] Add flavour suffix to igpu-defaults files
    - [Packaging] Remove obsolete igpu-defaults install file
    - [Packaging] Don't generate per-flavour igpu-defaults
    - [Packaging] Recommend ubuntu-kernel-accessories in metapackage

 -- Noah Wager <noah.wager@canonical.com>  Wed, 19 Feb 2025 17:59:36 -0800

linux-nvidia-tegra-modules-signed (6.8.0-1003.3) noble; urgency=medium

  * Main version: 6.8.0-1003.3

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

  * noble/linux-nvidia-tegra: 6.8.0-1003.3 -proposed tracker (LP: #2097592)
    - [Packaging] Point -jetson meta to -jetson-devel

  * jammy/linux-nvidia-tegra-igx: 5.15.0-1020.20 -proposed tracker
    (LP: #2093299)
    - [Packaging] Recommend linux-tools in branch metas
    - [Packaging] Fix video resume after suspend for Ubuntu Core
    - [Packaging] Enable HDMI audio on boot
    - [Packaging] Fix missing nvenc/dec issue on Ubuntu Core
    - [Packaging] Remove tsecriscv from Ubuntu Core initramfs
    - [Packaging] Remove tegra-drm from uci to fix missing /dev/v4l2-*

 -- Noah Wager <noah.wager@canonical.com>  Sat, 08 Feb 2025 14:20:41 -0800

linux-nvidia-tegra-modules-signed (6.8.0-1002.2) noble; urgency=medium

  * Main version: 6.8.0-1002.2

  * jammy/linux-nvidia-tegra-igx: 5.15.0-1019.19 -proposed tracker
    (LP: #2084602)
    - [Packaging] Branch igpu-defaults
    - [Packaging] Branch tegra-oot files
    - [Packaging] debian/rules: Pin ABI for retired branches
    - [Packaging] Fix igpu-defaults files for r36.4
    - [Packaging] Clean templates before generating

  * Initial packaging changes for n/nvidia-tegra (LP: #2089191)
    - [Packaging] Remove r36 from virtual package names
    - [Packaging] Remove exact version dependency for tegra-oot
    - [Packaging] debian/rules: Fix instances of wrong branch variable

  * Display driver version mismatch when IGX users on kernel <= 1012 do an
    upgrade (LP: #2082634)
    - [Packaging] Do not provide ABI-versioned iGPU meta virtual packages
    - [Packaging] Allow iGPU recommends to be satisfied by dGPU drivers if present

 -- Noah Wager <noah.wager@canonical.com>  Fri, 13 Dec 2024 17:38:52 -0800
