=== debian/control ===
Source: linux-nvidia-tegra-modules-signed
Section: kernel
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends: debhelper (>= 10), dh-exec
Build-Depends-Arch:
 linux-nvidia-tegra-modules (= 6.8.0-1003.3+1),
 python3,
 python3-apt,
Standards-Version: 3.9.4


Package: linux-nvidia-tegra-jetson
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-nvidia-tegra-jetson-devel,
Description: Meta package for Tegra kernel with jetson out-of-tree modules
 This meta package is used to install the linux-nvidia-tegra kernel
 with out-of-tree Tegra modules from the jetson branch.
 .
 This track will only receive kernel updates for the lifetime of the jetson
 branch. Updating to newer releases will require manual intervention.


Package: linux-modules-tegra-oot-jetson-devel-6.8.0-1003-nvidia-tegra
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-6.8.0-1003-nvidia-tegra | linux-image-unsigned-6.8.0-1003-nvidia-tegra,
Recommends:
 linux-headers-tegra-oot-jetson-devel-6.8.0-1003-nvidia-tegra,
Provides: linux-nvidia-tegra-tegra-oot-branch-6.8.0-1003-nvidia-tegra
Conflicts: linux-nvidia-tegra-tegra-oot-branch-6.8.0-1003-nvidia-tegra
Replaces: linux-nvidia-tegra-tegra-oot-branch-6.8.0-1003-nvidia-tegra
Built-Using: ${linux:BuiltUsing}
Description: Out-of-tree Tegra kernel modules for version 6.8.0-1003
 This package provides the out-of-tree Tegra Linux kernel modules for version
 6.8.0-1003.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-nvidia-tegra-jetson-devel kernel meta package, which will ensure upgrades work correctly,
 and that supporting packages are also installed

Package: linux-modules-tegra-igpu-jetson-devel-6.8.0-1003-nvidia-tegra
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-6.8.0-1003-nvidia-tegra | linux-image-unsigned-6.8.0-1003-nvidia-tegra,
 linux-nvidia-tegra-tegra-igpu-jetson-devel-defaults (>= ${binary:Version}),
Provides: linux-nvidia-tegra-tegra-igpu-branch-6.8.0-1003-nvidia-tegra
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel,
 linux-nvidia-tegra-tegra-igpu-branch-6.8.0-1003-nvidia-tegra
Replaces: linux-nvidia-tegra-tegra-igpu-branch-6.8.0-1003-nvidia-tegra
Built-Using: ${linux:BuiltUsing}
Description: Out-of-tree iGPU Tegra kernel modules for version 6.8.0-1003
 This package provides the out-of-tree iGPU Tegra Linux kernel modules for version
 6.8.0-1003.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-modules-tegra-igpu-jetson-devel-nvidia-tegra kernel meta package, which will ensure
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-modules-tegra-igpu-jetson-devel-nvidia-tegra
Architecture: arm64
Section: kernel
Priority: optional
Provides: linux-nvidia-tegra-tegra-igpu-branch-meta-nvidia-tegra
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel,
 linux-nvidia-tegra-tegra-igpu-branch-meta-nvidia-tegra,
Replaces:
 linux-nvidia-tegra-tegra-igpu-branch-meta-nvidia-tegra,
Depends: linux-modules-tegra-igpu-jetson-devel-6.8.0-1003-nvidia-tegra
Description: Extra jetson-devel tegra-igpu modules for the nvidia-tegra flavour
 Install extra signed jetson-devel tegra-igpu modules compatible with the nvidia-tegra flavour.

Package: linux-nvidia-tegra-jetson-devel
Architecture: arm64
Section: kernel
Priority: optional
Provides: linux-nvidia-tegra-meta
Conflicts:
 linux-nvidia-tegra-meta,
Recommends:
 linux-modules-tegra-igpu-jetson-devel-nvidia-tegra (= ${binary:Version}) | nvidia-dkms-kernel | nvidia-prebuilt-kernel,
 linux-tools-6.8.0-1003-nvidia-tegra,
 ubuntu-kernel-accessories,
Depends:
 ${misc:Depends},
 linux-image-6.8.0-1003-nvidia-tegra,
 linux-modules-6.8.0-1003-nvidia-tegra,
 linux-modules-extra-6.8.0-1003-nvidia-tegra,
 linux-modules-tegra-oot-jetson-devel-6.8.0-1003-nvidia-tegra,
 linux-headers-6.8.0-1003-nvidia-tegra,
Replaces:
 linux-nvidia-tegra-meta,
Description: Meta package for Tegra kernel with jetson-devel out-of-tree modules
 This meta package is used to install the linux-nvidia-tegra kernel
 with out-of-tree Tegra modules from the jetson-devel branch.
 .
 This track will only receive kernel updates for the lifetime of the jetson-devel
 branch. Updating to newer releases will require manual intervention.


Package: linux-nvidia-tegra-rt-jetson
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-nvidia-tegra-rt-jetson-devel,
Description: Meta package for Tegra kernel with jetson out-of-tree modules
 This meta package is used to install the linux-nvidia-tegra-rt kernel
 with out-of-tree Tegra modules from the jetson branch.
 .
 This track will only receive kernel updates for the lifetime of the jetson
 branch. Updating to newer releases will require manual intervention.


Package: linux-modules-tegra-oot-jetson-devel-6.8.0-1003-nvidia-tegra-rt
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-6.8.0-1003-nvidia-tegra-rt | linux-image-unsigned-6.8.0-1003-nvidia-tegra-rt,
Recommends:
 linux-headers-tegra-oot-jetson-devel-6.8.0-1003-nvidia-tegra-rt,
Provides: linux-nvidia-tegra-tegra-oot-branch-6.8.0-1003-nvidia-tegra-rt
Conflicts: linux-nvidia-tegra-tegra-oot-branch-6.8.0-1003-nvidia-tegra-rt
Replaces: linux-nvidia-tegra-tegra-oot-branch-6.8.0-1003-nvidia-tegra-rt
Built-Using: ${linux:BuiltUsing}
Description: Out-of-tree Tegra kernel modules for version 6.8.0-1003
 This package provides the out-of-tree Tegra Linux kernel modules for version
 6.8.0-1003.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-nvidia-tegra-rt-jetson-devel kernel meta package, which will ensure upgrades work correctly,
 and that supporting packages are also installed

Package: linux-modules-tegra-igpu-jetson-devel-6.8.0-1003-nvidia-tegra-rt
Architecture: arm64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-6.8.0-1003-nvidia-tegra-rt | linux-image-unsigned-6.8.0-1003-nvidia-tegra-rt,
 linux-nvidia-tegra-tegra-igpu-jetson-devel-defaults (>= ${binary:Version}),
Provides: linux-nvidia-tegra-tegra-igpu-branch-6.8.0-1003-nvidia-tegra-rt
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel,
 linux-nvidia-tegra-tegra-igpu-branch-6.8.0-1003-nvidia-tegra-rt
Replaces: linux-nvidia-tegra-tegra-igpu-branch-6.8.0-1003-nvidia-tegra-rt
Built-Using: ${linux:BuiltUsing}
Description: Out-of-tree iGPU Tegra kernel modules for version 6.8.0-1003
 This package provides the out-of-tree iGPU Tegra Linux kernel modules for version
 6.8.0-1003.
 .
 You likely do not want to install this package directly. Instead, install the
 linux-modules-tegra-igpu-jetson-devel-nvidia-tegra-rt kernel meta package, which will ensure
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-modules-tegra-igpu-jetson-devel-nvidia-tegra-rt
Architecture: arm64
Section: kernel
Priority: optional
Provides: linux-nvidia-tegra-tegra-igpu-branch-meta-nvidia-tegra-rt
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel,
 linux-nvidia-tegra-tegra-igpu-branch-meta-nvidia-tegra-rt,
Replaces:
 linux-nvidia-tegra-tegra-igpu-branch-meta-nvidia-tegra-rt,
Depends: linux-modules-tegra-igpu-jetson-devel-6.8.0-1003-nvidia-tegra-rt
Description: Extra jetson-devel tegra-igpu modules for the nvidia-tegra-rt flavour
 Install extra signed jetson-devel tegra-igpu modules compatible with the nvidia-tegra-rt flavour.

Package: linux-nvidia-tegra-rt-jetson-devel
Architecture: arm64
Section: kernel
Priority: optional
Provides: linux-nvidia-tegra-rt-meta
Conflicts:
 linux-nvidia-tegra-rt-meta,
Recommends:
 linux-modules-tegra-igpu-jetson-devel-nvidia-tegra-rt (= ${binary:Version}) | nvidia-dkms-kernel | nvidia-prebuilt-kernel,
 linux-tools-6.8.0-1003-nvidia-tegra-rt,
 ubuntu-kernel-accessories,
Depends:
 ${misc:Depends},
 linux-image-6.8.0-1003-nvidia-tegra-rt,
 linux-modules-6.8.0-1003-nvidia-tegra-rt,
 linux-modules-extra-6.8.0-1003-nvidia-tegra-rt,
 linux-modules-tegra-oot-jetson-devel-6.8.0-1003-nvidia-tegra-rt,
 linux-headers-6.8.0-1003-nvidia-tegra-rt,
Replaces:
 linux-nvidia-tegra-rt-meta,
Description: Meta package for Tegra kernel with jetson-devel out-of-tree modules
 This meta package is used to install the linux-nvidia-tegra-rt kernel
 with out-of-tree Tegra modules from the jetson-devel branch.
 .
 This track will only receive kernel updates for the lifetime of the jetson-devel
 branch. Updating to newer releases will require manual intervention.


Package: linux-nvidia-tegra-tegra-igpu-jetson-devel-defaults
Architecture: all
Multi-Arch: foreign
Section: kernel
Priority: optional
Depends: ${misc:Depends}
Conflicts: nvidia-dkms-kernel, nvidia-prebuilt-kernel, linux-nvidia-tegra-tegra-igpu-defaults-virtual
Provides: linux-nvidia-tegra-tegra-igpu-defaults-virtual
Replaces: linux-nvidia-tegra-tegra-igpu-defaults-virtual
Description: Extra configuration required for jetson-devel IGX Orin iGPU modules.
 This package contains modprobe.d configuration required for loading jetson-devel
 IGX Orin iGPU modules with the appropriate module parameters.
