=== debian/rules ===
--- 
+++ 
@@ -15,25 +15,40 @@
 UNSIGNED_VER=$(VERSION)
 
 FLAVOURS=nvidia-tegra nvidia-tegra-rt
-BRANCHES=jetson-devel
+PACKAGED_BRANCHES=jetson-devel
+# List of retired branches and their pinned ABI. Format is <branch>=<abi>
+RETIRED_BRANCHES=
+# Generate control stanzas for only these branches, i.e PACKAGED_BRANCHES/RETIRED_BRANCHES
+CONTROL_GEN_BRANCHES=$(filter-out $(shell echo "$(RETIRED_BRANCHES)" | sed -E 's/(\S+)=\S+/\1/g'),$(PACKAGED_BRANCHES))
 
-clean: debian/control
+OVERRIDES=debian/file-overrides
+
+clean: debian/control branches
 	dh_testdir
 	dh_testroot
 	rm -rf ./$(UNSIGNED_VER)
 	dh_clean
 
+branches:
+	$(call gen_branch_files)
+	$(call gen_branch_templates)
 
 debian/control:
 	cp $(DEBIAN)/control.stub $(DEBIAN)/control.in
-	rm -f $(DEBIAN)/control.branch
-	for branch in $(BRANCHES); \
+	rm -f $(DEBIAN)/control.branch $(DEBIAN)/control.noflavour
+	for branch in $(CONTROL_GEN_BRANCHES); \
 	do \
 		branch_escaped=$${branch//./\\.}; \
-		cat $(DEBIAN)/control.d/branch.stub | sed >>$(DEBIAN)/control.branch \
-			-e "s/@BRANCH@/$$branch/g" \
-			-e "/<!branch\.$$branch_escaped/d" \
-			-e "/<branch\..*>/b @ ; p ; :@ /<branch\.$$branch_escaped>/!d"; \
+		for srcdst in "$(DEBIAN)/control.d/branch.stub $(DEBIAN)/control.branch" \
+		              "$(DEBIAN)/control.d/branch-noflavour.stub $(DEBIAN)/control.noflavour"; \
+		do \
+			src=$${srcdst%% *}; \
+			dst=$${srcdst##* }; \
+			cat "$$src" | sed >> "$$dst" \
+				-e "s/@BRANCH@/$$branch/g" \
+				-e "/<!branch\.$$branch_escaped/d" \
+				-e "/<branch\..*>/b @ ; p ; :@ /<branch\.$$branch_escaped>/!d"; \
+		done \
 	done
 	for flavour in $(FLAVOURS); \
 	do \
@@ -41,7 +56,7 @@
 			-e "s/@FLAVOUR@/$$flavour/g" \
 			-e "/<!flavour\.$$flavour>/d"; \
 	done
-	cat $(DEBIAN)/control.in | sed -E >debian/control \
+	cat $(DEBIAN)/control.in $(DEBIAN)/control.noflavour | sed -E >debian/control \
 		-e "s/@ABI@/$(ABI)/g"				\
 		-e "s/@UNSIGNED_SRC_PACKAGE@/$(UNSIGNED_SRC)/g"	\
 		-e "s/@UNSIGNED_SRC_VERSION@/$(UNSIGNED_VER)/g"	\
@@ -49,7 +64,7 @@
 		-e 's/<!?flavour\..*>//g' \
 		-e 's/<!?branch\..*>//g'
 
-.PHONY: debian/control debian/dkms-packages templates override_dh_auto_build override_dh_auto_install clean
+.PHONY: debian/control debian/dkms-packages templates override_dh_auto_build override_dh_auto_install clean branches
 
 %:
 	dh $@
@@ -63,13 +78,28 @@
 instfile=vmlinuz
 endif
 
+define gen_branch_files =
+	find debian/files.*branch* -type f | while read -r i; \
+	do \
+		[ -e "$$i" ] || continue; \
+		for b in $(PACKAGED_BRANCHES); \
+		do \
+			dest=`echo $$i | sed -e "s|branch|$$b|g"`; \
+			mkdir -p "$${dest%/*}"; \
+			sed -e "s|@branch@|$$b|g" "$$i" > "$$dest"; \
+		done \
+	done
+endef
+
 define gen_branch_templates =
 	for i in debian/templates.*branch*; \
 	do \
 		[ -e "$$i" ] || continue; \
-		for b in $(BRANCHES); \
+		for b in $(PACKAGED_BRANCHES); \
 		do \
 			dest=`echo $$i | sed -e "s|branch|$$b|g"`; \
+			[ -e "$(OVERRIDES)/$$dest" ] && continue; \
+			rm -rf "$$dest"; \
 			cp -r "$$i" "$$dest"; \
 		done \
 	done
@@ -95,26 +125,44 @@
 	done
 endef
 
-override_dh_auto_install:
-	$(call gen_branch_templates); \
+override_dh_auto_install: install-igpu-defaults
 	for flavour in $(FLAVOURS); \
 	do \
 		for file in $(UNSIGNED_VER)/$$flavour/*; \
 		do \
 			destpkg=$$(basename $$file); \
+			mod_abi=$(ABI); \
+			for branch in $(PACKAGED_BRANCHES); \
+			do \
+				echo "$$destpkg" | grep -q "$$branch" || continue; \
+				branch_abi=$$(echo "$(RETIRED_BRANCHES)" | grep -oE "$$branch=\S+" | sed "s/$$branch=//"); \
+				if ! [ -z "$$branch_abi" ]; then \
+					mod_abi="$$branch_abi"; \
+					continue; \
+				fi; \
+			done; \
 			find "$(UNSIGNED_VER)/$$flavour/$$destpkg/" -name "*.ko" -print | \
 			while read -r path; \
 			do \
 				module=$$(basename "$$path"); \
-				package="linux-modules-$$destpkg-$(ABI)-$$flavour"; \
+				package="linux-modules-$$destpkg-$$mod_abi-$$flavour"; \
 				cp $$path $$path.tmp; \
 				cat $$path.tmp $$path.sig >$$path; \
 				rm $$path.tmp; \
 				echo "$$package: adding $$module"; \
-				dh_install -p"$$package" "$$path" "/lib/modules/$(ABI)-$$flavour/updates/$$destpkg"; \
+				dh_install -p"$$package" "$$path" "/lib/modules/$$mod_abi-$$flavour/updates/$$destpkg"; \
 			done; \
 			$(call gen_templates,$$flavour,$$destpkg); \
 		done; \
 	done
 
 	dh_install
+
+install-igpu-defaults:
+	for flavour in $(FLAVOURS); \
+	do \
+		for b in $(PACKAGED_BRANCHES); \
+		do \
+			$(call gen_templates,$$flavour,tegra-igpu-$$b-defaults); \
+		done \
+	done
